> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurves/{trade_id}/confirm
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurves/{trade_id}/confirm:
    post:
      tags:
        - Loadcurves Confirmation
      summary: Post
      operationId: >-
        integrations_api_api_v2_organizations_trading_dayahead_load_curve_confirmation_router_post
      parameters:
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
        - in: path
          name: trade_id
          schema:
            format: uuid
            title: Trade Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfirmationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfirmationResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfirmationResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfirmationResponse'
      security:
        - OAuth2: []
components:
  schemas:
    GetConfirmationResponse:
      properties:
        state:
          enum:
            - not_found
            - success
            - expired
            - rejected
          title: State
          type: string
        day:
          default: '2026-06-08'
          format: date
          title: Day
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - state
      title: GetConfirmationResponse
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````